Update scenario

PATCH /api/v1/cfo-projection/scenarios/{scenario_id}

Partial update of scenario drivers.

Operation ID: update_scenario_api_v1_cfo_projection_scenarios__scenario_id__patch · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

scenario_id string required

Request body

name string
projection_months integer
revenue_drivers object
cost_classifications object
variable_drivers object
fixed_drivers object
monthly_overrides object

Manual monthly overrides keyed by ledger_id then month index

tax_rate number
interest_income_monthly integer
interest_expense_monthly integer

Responses

200 Successful Response

id string required
business_id string required
name string required
is_active boolean required
base_month string · date required
projection_months integer required
revenue_drivers object
cost_classifications object
variable_drivers object
fixed_drivers object
monthly_overrides object
tax_rate number required
interest_income_monthly integer required
interest_expense_monthly integer required
created_at string · date-time required
updated_at string · date-time required

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object